Package com.sun.mirror.apt

# Enum Class Filer.Location

java.lang.Object
java.lang.Enum<Filer.Location>
com.sun.mirror.apt.Filer.Location

All Implemented Interfaces:
  `Serializable`, `Comparable<Filer.Location>`, `Constable`

Enclosing interface:
  `Filer`

public static enum Filer.Location extends Enum<Filer.Location>
Locations (subtrees within the file system) where new files are created.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLASS_TREE`
The location of new class files.
`SOURCE_TREE`
The location of new source files.

## Method Summary

Modifier and Type
Method
Description
`static Filer.Location`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Filer.Location[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SOURCE_TREE

public static final Filer.Location SOURCE_TREE
The location of new source files.

### CLASS_TREE

public static final Filer.Location CLASS_TREE
The location of new class files.

## Method Details

### values

public static Filer.Location[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Filer.Location valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null